Due to the high-performance nature of our simulations, they're currently not compatible with the current performance of phones, iPad, or tablets.

To ensure your best experience with the simulations, please use a laptop or desktop with one of the following supported browsers: Chrome or Firefox.

Also, have a look your device needs to meet our minimum requirements to run Labster!
 

If you'd like to know more, do not hesitate to contact our support team:

Did this answer your question?